Bug 1205201 - [abrt] osbs: __init__.py:2320:resolve:ImportError: 'module' object has no attribute 'run'
Summary: [abrt] osbs: __init__.py:2320:resolve:ImportError: 'module' object has no att...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: osbs
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Tomecek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8f9d67d8f968650617f7ade26f8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-24 12:52 UTC by Jakub Filak
Modified: 2016-12-01 00:48 UTC (History)
3 users (show)

Fixed In Version: osbs-0.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-10 07:33:25 UTC


Attachments (Terms of Use)
File: backtrace (1.01 KB, text/plain)
2015-03-24 12:52 UTC, Jakub Filak
no flags Details
File: environ (3.37 KB, text/plain)
2015-03-24 12:52 UTC, Jakub Filak
no flags Details

Description Jakub Filak 2015-03-24 12:52:11 UTC
Description of problem:
I did nothing special, just ran osbs.

Version-Release number of selected component:
osbs-0.1-3.fc22

Additional info:
reporter:       libreport-2.5.0
cmdline:        /usr/bin/python /usr/bin/osbs --help
dso_list:       python-setuptools-12.0.3-1.fc22.noarch
executable:     /usr/bin/osbs
kernel:         4.0.0-0.rc3.git0.1.fc22.x86_64
runlevel:       N 3
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:2320:resolve:ImportError: 'module' object has no attribute 'run'

Traceback (most recent call last):
  File "/usr/bin/osbs", line 9, in <module>
    load_entry_point('osbs==0.1', 'console_scripts', 'osbs')()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 519, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2630, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2310, in load
    return self.resolve()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2320, in resolve
    raise ImportError(str(exc))
ImportError: 'module' object has no attribute 'run'

Local variables in innermost frame:
self: EntryPoint.parse('osbs = osbs.cli.main:run')
exc: AttributeError("'module' object has no attribute 'run'",)
module: <module 'osbs.cli.main' from '/usr/lib/python2.7/site-packages/osbs/cli/main.pyc'>

Comment 1 Jakub Filak 2015-03-24 12:52:14 UTC
Created attachment 1005840 [details]
File: backtrace

Comment 2 Jakub Filak 2015-03-24 12:52:16 UTC
Created attachment 1005841 [details]
File: environ

Comment 3 Fedora Update System 2015-03-24 13:50:53 UTC
osbs-0.1-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osbs-0.1-4.fc22

Comment 4 Fedora Update System 2015-03-24 13:51:59 UTC
osbs-0.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osbs-0.1-4.fc21

Comment 5 Fedora Update System 2015-03-24 13:52:19 UTC
osbs-0.1-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/osbs-0.1-4.el7

Comment 6 Fedora Update System 2015-03-25 20:04:35 UTC
osbs-0.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 7 Fedora Update System 2015-04-08 07:52:16 UTC
osbs-0.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osbs-0.2-1.fc22

Comment 8 Fedora Update System 2015-04-08 07:53:05 UTC
osbs-0.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osbs-0.2-1.fc21

Comment 9 Fedora Update System 2015-04-08 15:48:36 UTC
osbs-0.2-2.c1216ba.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/osbs-0.2-2.c1216ba.el6

Comment 10 Fedora Update System 2015-04-08 15:49:48 UTC
osbs-0.2-2.c1216ba.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/osbs-0.2-2.c1216ba.el7

Comment 11 Fedora Update System 2015-04-08 15:49:55 UTC
osbs-0.2-2.c1216ba.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osbs-0.2-2.c1216ba.fc21

Comment 12 Fedora Update System 2015-04-08 15:51:06 UTC
osbs-0.2-2.c1216ba.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/osbs-0.2-2.c1216ba.fc20

Comment 13 Fedora Update System 2015-04-08 15:52:17 UTC
osbs-0.2-2.c1216ba.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osbs-0.2-2.c1216ba.fc22

Comment 14 Fedora Update System 2015-04-10 07:33:25 UTC
osbs-0.2-2.c1216ba.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-04-15 10:15:36 UTC
osbs-0.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osbs-0.3-1.fc22

Comment 16 Fedora Update System 2015-04-15 10:15:45 UTC
osbs-0.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osbs-0.3-1.fc21

Comment 17 Fedora Update System 2015-04-15 10:15:57 UTC
osbs-0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/osbs-0.3-1.fc20

Comment 18 Fedora Update System 2015-04-15 10:16:06 UTC
osbs-0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/osbs-0.3-1.el6

Comment 19 Fedora Update System 2015-04-15 10:16:15 UTC
osbs-0.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/osbs-0.3-1.el7

Comment 20 Fedora Update System 2015-04-21 17:14:25 UTC
osbs-0.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/osbs-0.4-1.el6

Comment 21 Fedora Update System 2015-04-21 17:14:34 UTC
osbs-0.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/osbs-0.4-1.el7

Comment 22 Fedora Update System 2015-04-21 17:14:42 UTC
osbs-0.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osbs-0.4-1.fc21

Comment 23 Fedora Update System 2015-04-21 17:14:51 UTC
osbs-0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/osbs-0.4-1.fc20

Comment 24 Fedora Update System 2015-04-21 17:14:59 UTC
osbs-0.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osbs-0.4-1.fc22

Comment 25 Fedora Update System 2015-04-21 19:10:18 UTC
osbs-0.2-2.c1216ba.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-05-08 16:40:25 UTC
osbs-0.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2015-05-08 16:42:22 UTC
osbs-0.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2015-05-10 23:48:14 UTC
osbs-0.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2015-05-10 23:57:43 UTC
osbs-0.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.